#include "FjPseudoJet.hh"
#include "FjClusterSequence.hh"
#include<iostream>
#include<vector>


using namespace std;

//----------------------------------------------------------------------
/// Return the number of jets in the vector whose user_index() is equal
/// to index.
int count_given_user_index(const vector<FjPseudoJet> & jets, const int index ) {
  int count = 0;
  for (unsigned int i = 0; i< jets.size(); i++) {
    if (jets[i].user_index() == index) count++;
  }
  return count;
}

/// Class that behaves essentially like FjClusterSequence except
/// that it also provides access to the area of a jet (which
/// will be a random quantity... Figure out what to do about seeds 
/// later...)
class FjClusterSequenceWithArea : public FjClusterSequence {
public:
  FjClusterSequence (); // some constructor
  vector<FjPseudoJet> constituents (const FjPseudoJet & jet) const;
  double area (const FjPseudoJet & jet) const;

private:

  int    _n_cells;
  double _cell_area;
}
